Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.query
Class ParametersParameterAccessor

    java.lang.Object
      org.springframework.data.repository.query.ParametersParameterAccessor

All Implemented Interfaces:
  Iterable<Object>, ParameterAccessor

    public class ParametersParameterAccessor

extends Object
implements ParameterAccessor

`ParameterAccessor` implementation using a `Parameters` instance to find special parameters.

Author:
  Oliver Gierke

Constructor Summary
`ParametersParameterAccessor(Parameters parameters, Object[] values)` Creates a new `ParametersParameterAccessor`.

Method Summary
`Object` | `getBindableValue(int index)` Returns the bindable value with the given index.
`Pageable` | `getPageable()` Returns the `Pageable` of the parameters, if available.
`Sort` | `getSort()` Returns the sort instance to be used for query creation.
`org.springframework.data.repository.query.ParametersParameterAccessor.BindableParameterIterator` | `iterator()` Returns an iterator over all bindable parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParametersParameterAccessor

    public ParametersParameterAccessor(Parameters parameters,
                                       Object[] values)

  Creates a new `ParametersParameterAccessor`.

  Parameters:
    `parameters` -
    `values` -

Method Detail

### getPageable

    public Pageable getPageable()

  Description copied from interface: `ParameterAccessor`
  Returns the `Pageable` of the parameters, if available. Returns `null` otherwise.

  Specified by:
    `getPageable` in interface `ParameterAccessor`
  Returns:

### getSort

    public Sort getSort()

  Description copied from interface: `ParameterAccessor`
  Returns the sort instance to be used for query creation. Will use a `Sort` parameter if available or the `Sort` contained in a `Pageable` if available. Returns `null` if no `Sort` can be found.

  Specified by:
    `getSort` in interface `ParameterAccessor`
  Returns:

### getBindableValue

    public Object getBindableValue(int index)

  Description copied from interface: `ParameterAccessor`
  Returns the bindable value with the given index. Bindable means, that `Pageable` and `Sort` values are skipped without noticed in the index. For a method signature taking `String`, `Pageable` , `String`, `#getBindableParameter(1)` would return the second `String` value.

  Specified by:
    `getBindableValue` in interface `ParameterAccessor`
  Returns:

### iterator

    public org.springframework.data.repository.query.ParametersParameterAccessor.BindableParameterIterator iterator()

  Description copied from interface: `ParameterAccessor`
  Returns an iterator over all bindable parameters. This means parameters implementing `Pageable` or `Sort` will not be included in this `Iterator`.

  Specified by:
    `iterator` in interface `Iterable<Object>`
  Specified by:
    `iterator` in interface `ParameterAccessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.